import type { Extension } from "@codemirror/state";
import { type EditorView } from "@codemirror/view";
export type InitKeyMapsOptions = {
    onEnter?: HandleEnterKeyMapEditorFunction;
};
export type HandleEnterKeyMapEditorFunction = (view: EditorView) => boolean;
export declare const initKeyMaps: ({ onEnter, multiCursorMode, }: InitKeyMapsOptions & {
    multiCursorMode: boolean;
}) => Extension;
